'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var _ = _interopDefault(require('underscore'));
var rollupPluginutils = require('rollup-pluginutils');

var includeDefault = ['**/*.tpl'];
var variableDefault = 'p';

var underscorify = function (options) {
  if ( options === void 0 ) options = {};

  var exclude = options.exclude;
  var include = options.include; if ( include === void 0 ) include = includeDefault;
  var variable = options.variable; if ( variable === void 0 ) variable = variableDefault;
  var filter = rollupPluginutils.createFilter(include, exclude);
  
  return {
    name: 'underscorify',
    transform: function transform(code, id) {
      if(filter(id)) {
        code = _.template(code, {variable: variable}).source;
        code = code.replace(/(_\.escape\()/g, (variable + ".$1"));
        
        return {
          code: ("export default " + code + ";"),
          map: {mappings: ''}
        };
      }
    }
  };
};

module.exports = underscorify;
